#!/bin/sh
# create_keystore.sh

REQUIREDARGS=0          # How many arguments are required
STATUS_NEEDARGS=1       # Return value if insufficient arguments
DEPLOY_CLASSPATH="../lib/orm_encryption.jar"

if [ $# -lt $REQUIREDARGS ]
then
	echo "USAGE: `basename $0`"
	exit $STATUS_NEEDARGS
elif [ $# -ge $REQUIREDARGS ]
then
	umask 137
	"$JAVA_HOME/bin/java" -Djava.util.logging.config.file=../config/logging.properties -classpath "$DEPLOY_CLASSPATH" oracle.iam.rm.util.encryption.CreateKeyStoreTool -keystoreDir .
fi
